# PacketHeader Struct Reference
[NPF structures and definitions]

Structure prepended to each packet in the kernel buffer pool. More...

`#include <Packet.h>`

## Data Fields

ULONG | SN
| Sequence number of the packet.
struct bpf_hdr | header
| bpf header, created by the tap, and copied unmodified to user level programs.

## Detailed Description

Structure prepended to each packet in the kernel buffer pool.

Each packet in one of the kernel buffers is prepended by this header. It encapsulates the bpf_header, which will be passed to user level programs, as well as the sequence number of the packet, set by the producer (the tap function), and used by the consumer (the read function) to "reorder" the packets contained in the various kernel buffers.

Definition at line 341 of file Packet.h.

## Field Documentation

struct bpf_hdr header `[read]`

bpf header, created by the tap, and copied unmodified to user level programs.

Definition at line 344 of file Packet.h.

ULONG SN

Sequence number of the packet.

Definition at line 343 of file Packet.h.

The documentation for this struct was generated from the following file:

- Packet.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.